%define upstream_name    Excel-Template-Plus
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Testing module for use with Excel::Template::Plus
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Excel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Excel::Template)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::String)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Param)
BuildRequires: perl(Spreadsheet::ParseExcel)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%description
This module is an extension of the Excel::Template module, which allows the
user to use various "engines" from which you can create Excel files through
Excel::Template.

The idea is to use the existing (and very solid) excel file generation code
in Excel::Template, but to extend its more templatey bits with more
powerful options.

The only engine currently provided is the Template Toolkit engine, which
replaces Excel::Template's built in template features (the LOOP, and IF
constructs) with the full power of TT. This is similar to the module
Excel::Template::TT, but expands on that even further to try and create a
more extensive system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.60.0-7.mga10
+ Revision: 2198705
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.60.0-6.mga9
+ Revision: 1803500
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-5.mga8
+ Revision: 1494459
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-4.mga7
+ Revision: 1267865
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-3.mga6
+ Revision: 1027014
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 966860
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 846976
- update to 0.06

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-5.mga5
+ Revision: 743360
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 511396
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 366977
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 36233
- mageia rebuild
- imported package perl-Excel-Template-Plus


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.50.0-1mdv2011.0
+ Revision: 627237
- import perl-Excel-Template-Plus

